Name:           libid3tag
Version:        0.15.1b
Release:        21
Summary:        ID3 tag manipulation library
License:        GPLv2+
URL:            http://www.underbit.com/products/mad/
Source0:        http://downloads.sourceforge.net/mad/%{name}-%{version}.tar.gz
Patch0:         libid3tag-0.15.1b-fix_overflow.patch
Patch1:         libid3tag-0.15.1b-fix-the-build-issue-with-gperf-3.1.patch 
Patch6000:      CVE-2004-2779.patch
Patch6001:      CVE-2017-11550.patch
BuildRequires:  zlib-devel >= 1.1.4 libtool gperf >= 3.1

%description
libid3tag is a library for reading and (eventually) writing ID3 tags,
both ID3v1 and the various versions of ID3v2.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
ID3 tag library development files.

%prep
%setup -q
%patch0 -p0 -b .CVE-2008-2109
%patch1 -p1
%patch6000 -p1
%patch6001 -p1
touch NEWS AUTHORS ChangeLog
autoreconf -i -f

# *.pc originally from the Debian package.
cat << \EOF > %{name}.pc
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: id3tag
Description: ID3 tag manipulation library
Requires:
Version: %{version}
Libs: -lid3tag
Cflags:
EOF

%build
%configure --disable-static
# configure strips -g, -O2 from CFLAGS, override it here
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
install -Dpm 644 %{name}.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/id3tag.pc


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO
%{_libdir}/libid3tag.so.*
%{_libdir}/libid3tag.so

%files devel
%{_includedir}/id3tag.h
%{_libdir}/pkgconfig/id3tag.pc


%changelog
* Wed Jul 15 2020 zhangjiapeng<zhangjiapeng9@huawei.com> - 0.15.1b-21
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: fix the build issue with gperf-3.1

* Fri Mar 20 2020 lingsheng<lingsheng@huawei.com> - 0.15.1b-20
- Type:cves
- ID:CVE-2017-11550
- SUG:restart
- DESC: fix CVE-2017-11550

* Tue Dec 24 2019 daiqianwen<daiqianwen@huawei.com> - 0.15.1b-19
- Type:cves
- ID:CVE-2004-2779
- SUG:restart
- DESC: fix CVE-2004-2779

* Sat Dec 7 2018 openEuler Buildteam <buildteam@openeuler.org> - 0.15.1b-18
- Package init
